Open Source RDBMS - Seamless, Scalable, Stable and Free

한국어 | Login |Register

Current Events
Join our developers event to win one of the valuable prizes!
posted 2 years ago
viewed 5244 times
Share this article

CUBRID Database support to come to Yii PHP Framework & Propel2 PHP ORM

cubrid_yii_propel.png

Yes, it has been quite a while since Yii and Propel users have been requesting to provide CUBRID Database support. And today I am very happy to announce that we have sent Pull Requests to both of these projects.

Both projects rely on CUBRID's PDO driver which is available on PECL. Yii supports CUBRID 9.0 on top of CUBRID PDO 9.0. Propel2 supports CUBRID 8.4.1+ on top of CUBRID PDO 8.4.0+ (PDO driver 8.4.0 is compatible with CUBRID 8.4.1).

Until the patches are officially integrated to the upstream, you can download the patched version of either packages from the following Gihub repos and start using them right away. We will be very glad to receive your feedback and observations.

If you like what we have done, you can go to the following PR we have sent and up vote them. This may push the upstream to review the submitted code quicker.

Alternatively, you can discuss this topic in the comments below. Let us know if you have questions or feedback.



comments powered by Disqus